OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpHandlerNotDefinedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.opennms.protocols.snmp.SnmpHandlerNotDefinedException

All Implemented Interfaces:
  java.io.Serializable

public class SnmpHandlerNotDefinedException
extends java.lang.RuntimeException

Defines a runtime exception when the program attempts to send a SnmpPduPacket and there is no default handler defined. This is considered a runtime exception since if there isn't a handler registered yet, is there likely to be one after the exception?

Version:
  1.1.1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SnmpHandlerNotDefinedException()` Default exception constructor
`SnmpHandlerNotDefinedException(java.lang.String why)` The exception constructor

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SnmpHandlerNotDefinedException

    public SnmpHandlerNotDefinedException(java.lang.String why)

  The exception constructor

Parameters:
  `why` - The reason the exception is being raised

### SnmpHandlerNotDefinedException

    public SnmpHandlerNotDefinedException()

  Default exception constructor

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.